Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.groovydoc
Interface GroovyProgramElementDoc

Method Summary
`GroovyClassDoc` | `containingClass()`
`GroovyPackageDoc` | `containingPackage()`
`boolean` | `isFinal()`
`boolean` | `isPackagePrivate()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`int` | `modifierSpecifier()`
`String` | `modifiers()`
`String` | `qualifiedName()`

Method Detail

### containingClass

    public GroovyClassDoc containingClass()

### containingPackage

    public GroovyPackageDoc containingPackage()

### isFinal

    public boolean isFinal()

### isPackagePrivate

    public boolean isPackagePrivate()

### isPrivate

    public boolean isPrivate()

### isProtected

    public boolean isProtected()

### isPublic

    public boolean isPublic()

### isStatic

    public boolean isStatic()

### modifierSpecifier

    public int modifierSpecifier()

### modifiers

    public String modifiers()

### qualifiedName

    public String qualifiedName()